
package gestioncasa;

public class Casa {
    
    String nombrePropietario;
    int superficiePlanta1;
    int superficiePlanta2;
    static int numeroViviendas = 0;
    
    static {
        System.out.println("Es una prueba de que se ha ejecutado el bloque static");
    }
    
    Casa() {
        nombrePropietario = "";
        superficiePlanta1 = 0;
        superficiePlanta2 = 0;
        numeroViviendas++;
    }    

    Casa(String nombrePropietario, int superficiePlanta1) {
        this.nombrePropietario = nombrePropietario;
        this.superficiePlanta1 = superficiePlanta1;
        superficiePlanta2 = 0;
        numeroViviendas++;
    }    
    
    Casa(String nombrePropietario, int superficiePlanta1, int superficiePlanta2) {
        this.nombrePropietario = nombrePropietario;
        this.superficiePlanta1 = superficiePlanta1;
        this.superficiePlanta2 = superficiePlanta2;
        numeroViviendas++;
    }    
    
    void establecerPropietario(String nombrePropietario) {
        this.nombrePropietario = nombrePropietario;
    }
    
    String devolverPropietario() {
        return nombrePropietario;
    }
    
    void establecerSuperficie(int superficiePanta1) {
        this.superficiePlanta1 = superficiePlanta1;
    }

    void establecerSuperficie(int superficiePlanta1, int superficiePlanta2) {
        this.superficiePlanta1 = superficiePlanta1;
        this.superficiePlanta2 = superficiePlanta2;
    }
    
    int devolverSuperficieTotal() {
        int superficieTotal;
        superficieTotal = superficiePlanta1 + superficiePlanta2;
        return superficieTotal;       
    }

    static int devolverNumeroViviendas() {
        return numeroViviendas;
    }
}

